InvalidParameterSpecException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.spec
Class InvalidParameterSpecException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.security.GeneralSecurityException
                  java.security.spec.InvalidParameterSpecException

All Implemented Interfaces:
  Serializable

    public class InvalidParameterSpecException

extends GeneralSecurityException

This is the exception for invalid parameter specifications.

Since:
  1.2
Version:
  1.11, 02/02/00
Author:
  Jan Luehe
See Also:
  `AlgorithmParameters`, `AlgorithmParameterSpec`, `DSAParameterSpec`, Serialized Form

Constructor Summary
`InvalidParameterSpecException()` Constructs an InvalidParameterSpecException with no detail message.
`InvalidParameterSpecException(String msg)` Constructs an InvalidParameterSpecException with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidParameterSpecException

    public InvalidParameterSpecException()

  Constructs an InvalidParameterSpecException with no detail message. A detail message is a String that describes this particular exception.

### InvalidParameterSpecException

    public InvalidParameterSpecException(String msg)

  Constructs an InvalidParameterSpecException with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD